Bug 885573 - [abrt]: WARNING: at fs/btrfs/extent-tree.c:5124 __btrfs_free_extent+0x592/0x800 [btrfs]()
Summary: [abrt]: WARNING: at fs/btrfs/extent-tree.c:5124 __btrfs_free_extent+0x592/0x8...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zach Brown
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:bb99ae2466b8a821586848a48b6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-10 06:24 UTC by Emanuel Somosan
Modified: 2015-05-18 01:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 16:19:05 UTC
Type: ---


Attachments (Terms of Use)
the /var/log/messages file when the problem occured (4.31 MB, application/octet-stream)
2013-01-03 21:24 UTC, Emanuel Somosan
no flags Details

Description Emanuel Somosan 2012-12-10 06:24:51 UTC
Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        BOOT_IMAGE=/vmlinuz-3.6.9-2.fc17.x86_64 root=/dev/mapper/vg_lima-lv_root ro rd.lvm.lv=vg_lima/lv_root rd.md=0 rd.dm=0 SYSFONT=True KEYTABLE=us rd.luks.uuid=luks-9e0cfd80-895c-4d52-8dcb-91090277e99c rd.lvm.lv=vg_lima/lv_swap LANG=en_US.UTF-8 rhgb quiet
kernel:         3.6.9-2.fc17.x86_64

backtrace:
:WARNING: at fs/btrfs/extent-tree.c:5124 __btrfs_free_extent+0x592/0x800 [btrfs]()
:Hardware name: VMware Virtual Platform
:Modules linked in: lockd sunrpc fuse rfcomm ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 bnep nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack ip6table_filter ip6_tables btrfs libcrc32c zlib_deflate btusb bluetooth snd_ens1371 snd_ac97_codec ac97_bus gameport snd_rawmidi snd_seq snd_seq_device rfkill ppdev snd_pcm snd_page_alloc snd_timer snd soundcore i2c_piix4 coretemp parport_pc microcode vmw_balloon parport shpchp e1000 uinput xts gf128mul dm_crypt crc32c_intel ghash_clmulni_intel mptspi mptscsih mptbase scsi_transport_spi usb_storage vmwgfx ttm drm i2c_core
:Pid: 2195, comm: btrfs-balance Not tainted 3.6.9-2.fc17.x86_64 #1
:Call Trace:
: [<ffffffff8105c8ef>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8105c94a>] warn_slowpath_null+0x1a/0x20
: [<ffffffffa026ff72>] __btrfs_free_extent+0x592/0x800 [btrfs]
: [<ffffffffa0274676>] run_clustered_refs+0x466/0xb50 [btrfs]
: [<ffffffff8117a979>] ? kmem_cache_free+0x39/0x130
: [<ffffffffa0274e48>] btrfs_run_delayed_refs+0xe8/0x2e0 [btrfs]
: [<ffffffffa02750e5>] btrfs_write_dirty_block_groups+0xa5/0x5e0 [btrfs]
: [<ffffffffa0274f01>] ? btrfs_run_delayed_refs+0x1a1/0x2e0 [btrfs]
: [<ffffffffa02dfde0>] commit_cowonly_roots+0x121/0x1eb [btrfs]
: [<ffffffffa0286aad>] btrfs_commit_transaction+0x59d/0xac0 [btrfs]
: [<ffffffff810807f0>] ? wake_up_bit+0x40/0x40
: [<ffffffffa02a5aa7>] insert_balance_item+0xb7/0x380 [btrfs]
: [<ffffffff8105d822>] ? print_prefix+0xf2/0x140
: [<ffffffff8105d94d>] ? msg_print_text+0xdd/0x1b0
: [<ffffffff81086332>] ? up+0x32/0x50
: [<ffffffff8105e408>] ? console_unlock+0x1e8/0x440
: [<ffffffffa02a8f2c>] btrfs_balance+0x27c/0xd10 [btrfs]
: [<ffffffff81614f0f>] ? printk+0x61/0x63
: [<ffffffffa02a9a42>] balance_kthread+0x82/0x90 [btrfs]
: [<ffffffffa02a99c0>] ? btrfs_balance+0xd10/0xd10 [btrfs]
: [<ffffffff8107fde3>] kthread+0x93/0xa0
: [<ffffffff81628084>] kernel_thread_helper+0x4/0x10
: [<ffffffff8107fd50>] ? kthread_freezable_should_stop+0x70/0x70
: [<ffffffff81628080>] ? gs_change+0x13/0x13

Comment 1 Zach Brown 2013-01-03 19:43:53 UTC
This is the delayed ref code finding that a backref for an extent doesn't exist when it thinks that it should.  The code logs more output than just the WARN_ON() stack trace that abrt captured.

        } else if (ret == -ENOENT) {
                btrfs_print_leaf(extent_root, path->nodes[0]);
                WARN_ON(1);
                printk(KERN_ERR "btrfs unable to find ref byte nr %llu "
                       "parent %llu root %llu  owner %llu offset %llu\n",
                       (unsigned long long)bytenr,
                       (unsigned long long)parent,
                       (unsigned long long)root_objectid,
                       (unsigned long long)owner_objectid,
                       (unsigned long long)owner_offset);

Emanuel, is there any chance that you still have the log entries before and after the stack trace that abrt filed in this bug?

Comment 2 Emanuel Somosan 2013-01-03 21:24:03 UTC
Created attachment 672221 [details]
the /var/log/messages file when the problem occured

Comment 3 Zach Brown 2013-01-03 22:16:02 UTC
(In reply to comment #2)
> Created attachment 672221 [details]
> the /var/log/messages file when the problem occured

Great, thanks!  This does have the leaf dumps and error messages associated with the warning.  For example:

> Dec 10 07:12:46 lima kernel: [ 2883.086224] btrfs unable to find ref byte nr 653939281920 parent 0 root 1  owner 0 offset 0

But I'm also seeing lots of other btrfs errors, and messages which make me worried that storage might be failing:

> Dec 10 04:46:45 lima smartd[844]: Device: /dev/sdc [USB JMicron], 321 Currently unreadable (pending) sectors
> Dec 10 04:46:45 lima smartd[844]: Device: /dev/sdc [USB JMicron], 2 Offline uncorrectable sectors

Was the btrfs volume on this usb drive?

Comment 4 Emanuel Somosan 2013-01-04 01:07:48 UTC
Yes, the scenario contained 2 USB disks connected to the virtual machine for the btrfs tests.

The 2 USB disks were luks encrypted and the btrfs filesystem contained both disks in a raid1 configuration.

The command I used to create the btrfs filesystem:
mkfs.btrfs -d raid1 /dev/mapper/DAA268362788_CRYPT /dev/mapper/DCAA57980368_CRYPT

The purpose was to populate the btrfs filesystem heavy and to test the rebuilding after a disk failure.

Comment 5 Fedora End Of Life 2013-07-04 05:18:58 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2013-08-01 16:19:10 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.